Skip to main content
PATCH
/
api
/
v1
/
sender-profiles
/
{profile_id}
/
prompts
/
{name}
Update Named Prompt
curl --request PATCH \
  --url https://api.example.com/api/v1/sender-profiles/{profile_id}/prompts/{name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "new_name": "<string>",
  "text": "<string>"
}
'
{
  "name": "<string>",
  "text": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.bavlio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

profile_id
string
required
name
string
required

Body

application/json
new_name
string | null

Rename: new canonical name

text
string | null

Update text body

Response

Successful Response

name
string
required
text
string
required
created_at
string | null
updated_at
string | null